<?php

// Add the bank field
if (self::$db_alter->fetch_table_info('dbtech_vbshop_bank'))
{
	self::$db->hide_errors();
	self::$db->query_write("ALTER TABLE `" . TABLE_PREFIX . "dbtech_vbshop_bank` CHANGE `points` `points` DOUBLE NOT NULL DEFAULT '0'");
	self::$db->show_errors();
	self::report('Altered Table', 'dbtech_vbshop_bank');
}

if (self::$db_alter->fetch_table_info('dbtech_vbshop_category'))
{
	self::$db->hide_errors();
	self::$db->query_write("ALTER TABLE `" . TABLE_PREFIX . "dbtech_vbshop_category` ADD `customshops` ENUM( '0', '1' ) NOT NULL DEFAULT '1'");
	self::$db->show_errors();
	self::report('Altered Table', 'dbtech_vbshop_category');
}

if (self::$db_alter->fetch_table_info('dbtech_vbshop_shopinventory'))
{
	self::$db->hide_errors();
	self::$db->query_write("ALTER TABLE `" . TABLE_PREFIX . "dbtech_vbshop_shopinventory` CHANGE `price` `price` DOUBLE UNSIGNED NOT NULL DEFAULT '0'");
	self::$db->query_write("ALTER TABLE `" . TABLE_PREFIX . "dbtech_vbshop_shopinventory` CHANGE `buybackprice` `buybackprice` DOUBLE UNSIGNED NOT NULL DEFAULT '0'");
	self::$db->show_errors();
	self::report('Altered Table', 'dbtech_vbshop_shopinventory');
}